package com.jscape.inet.ssh.protocol.v2.marshaling;

import com.jscape.inet.ssh.protocol.messages.Message;
import com.jscape.inet.ssh.protocol.v2.marshaling.primitive.Uint32Codec;
import com.jscape.inet.ssh.protocol.v2.messages.SshMsgKexDhGexRequestOld;
import com.jscape.util.io.DataCodec;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Alex Usun
 */
public class SshMsgKexDhGexRequestOldCodec
        implements DataCodec<Message> {

    @Override
    public Message read(InputStream in)
            throws IOException {
        int n = Uint32Codec.readValue(in);

        return new SshMsgKexDhGexRequestOld(n);
    }

    @Override
    public void write(Message value, OutputStream out)
            throws IOException {
        SshMsgKexDhGexRequestOld message = (SshMsgKexDhGexRequestOld) value;
        Uint32Codec.writeValue(message.n, out);
    }
}
